"The envirronment module defines the cleaning procedures for all the BDD tests"
import logging
import os
import shutil

from steps.login import TOKEN_PATH
from steps.new import FULL_PROJECT_PATH


logger = logging.getLogger(__name__)

def before_all(context):
    # makes sure that telemetry is disabled for every subprocess call
    os.environ["NO_TELEMETRY"]= "True"
    # Removes any pre-existing token
    if os.path.exists(TOKEN_PATH):
        os.remove(TOKEN_PATH)

def before_scenario(_context, _scenario):
    "remove test project"
    if os.path.exists(FULL_PROJECT_PATH):
        logger.warning("removing {}".format(FULL_PROJECT_PATH))
        shutil.rmtree(FULL_PROJECT_PATH)
    else:
        logger.warning("no previous project in {}, keep moving".format(FULL_PROJECT_PATH))
