"test the new command"
import logging
import os
import shutil
import sys

import pexpect as P

from behave import then, when


logger = logging.getLogger(__name__)


PROJECT_NAME = "testproject"
FULL_PROJECT_PATH = os.path.join(os.getcwd(), PROJECT_NAME)


@when(u'we run gamma new')
def gamma_new(_context):
    "run gamma new project in offline mode"
    child = P.spawn("python -m gamma.cli.gamma new project", encoding="utf-8", timeout=10)
    child.logfile = sys.stdout
    i_match = child.expect(["re-download it", "Choose from 1, 2"])
    if i_match == 0: # we need to tell gamma-cli to re-download
        child.sendline()
        child.expect("Choose from 1, 2") # resume searching for the next question
    child.sendline("2")
    child.expect("project_name \[Hello World\]:")
    child.sendline(PROJECT_NAME)
    child.expect("project_slug \[\w*?\]:")
    child.sendline()
    child.expect("Choose from 1, 2")
    child.sendline()
    child.sendline("1")
    child.expect("Choose from 1, 2")
    child.sendline()
    child.sendline("1")
    child.expect("Choose from 1, 2")
    child.sendline()
    child.sendline("1")
    child.expect("Do you want to create a repo")
    child.sendline("n")
    child.expect(P.EOF)
    child.wait()
    assert child.exitstatus == 0


@then(u'a new project is created')
def project_exists(_context):
    assert os.path.exists(FULL_PROJECT_PATH), "project should have been generated , but is not there"


@then(u'The project tests itself well')
def test_project(_context):
    "run invoke all-tests in the generated project"
    # TODO: activate once https://github.gamma.bcg.com/freier-niels/cookie-python/pull/21 is merged.
    # P.run("invoke all-tests", cwd=FULL_PROJECT_PATH)
    logger.info("since it is not tested, we are assuming it works.")
