import os
import sys

from version_parser import Version

package_path = os.path.dirname(os.path.abspath(__file__))
sys.path.insert(0, package_path + "/../gamma")

from gamma.cli.updater import GIST_RELEASE_URL
from gamma.cli.updater import _compare_version
from gamma.cli.updater import check_version
from gamma.cli.updater import _download_release_number


def test_release_url():
    assert (
        GIST_RELEASE_URL
        == "https://gist.githubusercontent.com/stumpyfr/b4f89c297a4e479049ff463fed790b37/raw/version"
    )


def test_compare_version():
    v1 = Version("1.0.0")
    v2 = Version("2.0.0")

    assert _compare_version(v1, v2) is False
    assert _compare_version(v2, v1) is True


def test_check_version():
    check_version()


def test_download_release_number():
    assert _download_release_number(GIST_RELEASE_URL) != "0.0.0"
    assert _download_release_number("fakeURL") == "0.0.0"
    assert _download_release_number("http://google.com/gfdg") == "0.0.0"
