"""
Plugins allowing user to request X-ray support.

Opens a new email to send to X-Ray support.

"""

import webbrowser

import click


@click.command()
@click.pass_obj
def cli(telemetry):
    """ Send an email to request X-ray support """

    if telemetry is not None:
        telemetry.track_event("xray cmd")

    uri = (
        "mailto:ittner.jan@bcg.com,ravindran.arun@bcg.com?"
        "subject=[XRAY] Request for the project: &body=TBC"
    )
    webbrowser.open(uri, new=2, autoraise=True)
