"""Module for registering the built-in commands
"""
import sys

import click

from gamma.cli.plugins import Command, hookimpl, plugin_manager

from . import gitignore, login, new, xray


@hookimpl
def add_commands():
    """Add the builtin Gamma CLI commands"""
    return (
        Command(gitignore.cli, "gitignore"),
        Command(login.cli, "login"),
        Command(new.cli, "new"),
        Command(xray.cli, "xray"),
    )


plugin_manager.register(sys.modules[__name__])
