import locale
import os


def fix_locale():
    """Workaround for getdefaultlocale() raising a ValueError exception on some MacOS
    environments which set LC_CTYPE=UTF-8"""
    try:
        locale.getdefaultlocale()
    except ValueError:
        if "LC_CTYPE" in os.environ:
            del os.environ["LC_CTYPE"]
        # try again, which will raise an exception if the problem is not solved
        locale.getdefaultlocale()
